## 4.3 Predictive Analysis

Thunderstorms forecasting is a tool historically used to protect lives and properties. In general, standard models identify a single behaviour a storm could potentially have, which could be later confirmed or not. Predictive analysis can increase the power of these models identifying the first signs of the probability of a thunderstorm. As a result, these models can tell emergency responders how the weather events can impact people, buildings and access points. In this way, local governments can predict damage and prevent post-event behaviors hence protecting lives and saving money \cite{protect}

The predictive analysis was done using regression models to estimating the occurence of thunderstorms. The statistical models are Logistic Regression and Random Forest. Both models were implemented using Python 3.6 and the library H2O. This library was chosen because it is open source and provides interesting features, such as a parallel processing engine, analytics, math, and machine learning libraries, along with data preprocessing and evaluation tools \cite{landset2015survey}.

## 4.3 Research goals

The present use case will predict the probability of happening a thunderstorm at 12pm during the months of January to June 2018. In 14 German cities. To perform theses predictions, the datasets of 24 hours, 18 hours and 12 hours before the predicted period were used, combined with historical data for the same period (January to June) from 2015 to 2017. The Table 1 shows the indexes forecasts used for each prediction.

With this dataset, the present study aims to answer two main research goals:

a) Compare the performance time for weather forecast predictions, based on the framework proposed by Chandratilake et al. (2016)
b) Apply machine learning and conditional density estimations to predict future patterns of CEP, based on the framework proposed by Christ et al. (2016)

To analyze the research goals, we selected some weather indexes that are generally correlated with the occurence of weather events such as thunderstorms. These indexes follow simplified conceptual models of the conditions that cause thunderstorms. Thresholds have been defined for most of the parameters to transform them to different levels of warnings \cite{grieser2012convection}.