
Weather forecasts are important tools to provide early warning on weather extremes. Given the volatile climate conditions currently seen in our planet, understanding and noticing extreme weather conditions, such as imminent storms, tornadoes and avalanches - and their reasons and impacts - is necessary to protect vulnerable societies and to build safer living conditions \cite{forecast}. However, to achieve  achieve high levels of accuracy, modern weather forecasting models rely on computationally intensive algorithms to analyze huge volumes of data. This process can take a long time to execute and may negatively impact the promptness of forecast \cite{Chandrathilake2016}.

Complex Event Processing (CEP) systems can help to address this problem. Research on CEP has been done since 1990s with Rapide \cite{Luckham_1998}. This information processing framework allows analyzing multiple data streams by finding patterns in realtime. CEP can correlate continous streams of data from different weather measurements sources, analyze it and detect situations according to modeled event patterns \cite{zhou2013using}. Complex Event Processing systems, however, are not able to consider events that did not happen yet \cite{christ2016integrating}. Data streams are received, processed and analyzed, but the values are not stored as they only serve to detect patterns.

In contrast to CEP, Predictive Analysis (PA) uses historical data to perform predictions by applying Machine Learning (ML) techniques. Also, ML allows to predict a proability of future events and to calculate estimates on the uncertainty of those predictions. As a major drawback, ML needs a huge data source to increase accuracy and performance \cite{christ2016integrating}. In addition to that, these models have low capacity to quickly adapt to changes in the data pattern. A model would have to be retrained, which can consume a lot of time, where as in CEP, only the patterns need to be changed.

Taking both advantages into account, with CEP analyzing current data in data streams for realtime detection and PA using historical data stream information to predict complex events, CEP can be transformed from a technology that rects to events to one that acts proactively \cite{christ2016integrating},

In section 2, related work in the field of CEP will be briefly presented. Section 3 will cover the use case for our implementation, which is further explained in section 4. In section 5, an evaluation will be done.